%define upstream_name       Email-Send
%define upstream_version 2.201

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 3

Summary:        Simply Sending Email
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Email::Simple)
BuildRequires:  perl(Email::Address)
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Return::Value)

BuildArch:      noarch


Requires: perl(Email::Date::Format)

%description
This module provides a very simple, very clean, very specific interface to
multiple Email mailers. The goal of this software is to be small and simple,
easy to use, and easy to extend.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml
%{perl_vendorlib}/Email
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.201.0-3.mga6
+ Revision: 1026911
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.201.0-2.mga6
+ Revision: 967322
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 2.201.0-1.mga6
+ Revision: 848711
- update to 2.201

* Sun Oct 19 2014 umeabot <umeabot> 2.199.0-5.mga5
+ Revision: 788739
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.199.0-4.mga5
+ Revision: 740769
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.199.0-3.mga5
+ Revision: 684627
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.199.0-2.mga4
+ Revision: 532297
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 sander85 <sander85> 2.199.0-1.mga4
+ Revision: 467825
- update to 2.199

* Sun Jan 13 2013 umeabot <umeabot> 2.198.0-3.mga3
+ Revision: 366838
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2.198.0-2.mga1
+ Revision: 31953
- mageia rebuild
- imported package perl-Email-Send


* Tue Dec 01 2009 Jérôme Quelin <jquelin@mandriva.org> 2.198.0-2mdv2010.1
+ Revision: 472190
- adding a requires:

* Thu Jul 16 2009 Jérôme Quelin <jquelin@mandriva.org> 2.198.0-1mdv2010.0
+ Revision: 396578
- update to 2.198

* Wed Jul 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.197.0-1mdv2010.0
+ Revision: 393522
- update to new version 2.197

* Wed Jun 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.196.0-1mdv2010.0
+ Revision: 384798
- new version

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.194.0-1mdv2010.0
+ Revision: 337653
- new release
- standardized version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.19.2-3mdv2009.0
+ Revision: 256788
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.19.2-1mdv2008.1
+ Revision: 109609
- new version (upstream version 2.192)


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.18.5-1mdv2007.1
+ Revision: 138834
- new version

* Sun Jan 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.18.3-1mdv2007.1
+ Revision: 111237
- fix build dependencies
- fix build dependencies
- Import perl-Email-Send

* Sat Jan 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.18.3-1mdv2007.1
- first mdv release

